#include <iostream>
using namespace std;

int main (){

long long X, Y, st, novi_broj=0;
int j,d, c1, c2;
cin>>X;
cin>>Y;

if(X<10 && Y<10){
if (X==Y){
  novi_broj = X*10+Y;
}
else{
novi_broj = max(X,Y);
}
}
else{
st = 1;
while (X>0 && Y>0){
c1 = X%10;
c2 = Y%10;
if (c1==c2){
   novi_broj = novi_broj + c1*st*10+c2*st;
       st = st*10*10;
   }
   else{
  j = max(c1,c2);
    novi_broj = novi_broj + j*st;
  st = st*10;
}
X=X/10;
Y=Y/10;
}
while (X>0){
j = X%10;
novi_broj = novi_broj + j*st;
st = st*10;
X=X/10;
}
while (Y>0){
j = Y%10;
novi_broj = novi_broj + j*st;
st = st*10;
Y=Y/10;
}
}
cout<<novi_broj;

}